<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$palet=$_POST['palet'];

$noAgrupar='S';

$peticion='SGAUbicar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#PRODUCTOSCONTENEDOR#'.$_SESSION['almacen'].';'.$palet.';'.$noAgrupar;
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

if(!$resultado[0]['Error']) {

	?>
	<table class="tablaFormateada anchoMaximo">
	<tr>
		<th>Traspasar</th>
        
        <th>Producto</th>
        
        <th>Descripción</th>
        
		<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
            <?php if($comportamiento['Activo']) { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
		<?php } ?>
		
        <th>Estado<br />almacén</th>
        
        <th>Cantidad</th>

		<?php if($_SESSION['verEnCajas']=='S') { ?>
        <th>Cajas</th>
		<?php } ?>
        
        <th>Ubicación propuesta</th>
        
	</tr>
	<?php
	
	//OBTENER LA UBICACION PROPUESTA cruzamos datos con el listado original de devoluciones (en el ws standard de producto por contenedor, esta informacion no está)
	$temporal=array();
	
	foreach ($resultado as $clave=>$producto) {
	
		//print_r($producto);
		$temporal[$clave]=$producto;
		$indice='iniciar'.construyeIndiceProductoTraspasar($producto);
		$temporal[$clave]['indice']=$indice;
		
		$UbiPropuesta='';
		
		foreach($_SESSION['devolucion'] as $item) {
			$indiceComparar='iniciar'.construyeIndiceProductoTraspasar($item,true);
			if($indice==$indiceComparar) $UbiPropuesta=$item['UbiPropuesta'];
		}

		$temporal[$clave]['UbiPropuesta']=$UbiPropuesta;
		
	}
	$resultado=$temporal;
	
	
	//ORDENACION
	$temporal=array();
	foreach ($resultado as $clave=>$valor) {
		$temporal[$clave]=$valor['UbiPropuesta'];
	}
	array_multisort($temporal,SORT_ASC,$resultado);
	
	
	//PASAMOS EL LITADO A SESSION, PARA PODER PERMITIR SECUENCIA AUTOMATICA
	$_SESSION['devolucionListadoProductos']=$resultado;
	
	
	foreach($_SESSION['devolucionListadoProductos'] as $producto) {
	
		$datos=$producto['Datos']['PXMobileProxiumResult'];
		
		?>
		<tr>
			<td>
            	<input name="<?php echo $producto['indice']; ?>" type="checkbox" class="checkGrande selectorInicio" id="<?php echo $producto['indice']; ?>" UbiPropuesta="<?php echo $producto['UbiPropuesta']; ?>"/>
            </td>
			
            <td><?php echo $producto['Producto']; ?></td>
			
            <td align="left"><?php echo $producto['Descripcion']; ?></td>
            
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']=='S') { ?>
				<td>
					<?php
					$cadenaNumerosSerie='';
					$numerosSerie=arreglaArrayPXMobileProxiumResult($producto['NumerosSerie']);
					foreach($numerosSerie as $numero) {
						if(!empty($cadenaNumerosSerie)) $cadenaNumerosSerie.=';';
						$cadenaNumerosSerie.=$numero['NumeroSerie'].','.$numero['Leido'];
					}
					
					if(is_array($numerosSerie) && count($numerosSerie)>0 && $comportamiento['Codigo']=='NS') {
						?><img class="verNumerosSerie clicable" src="<?php echo DIR_IMAGENES; ?>/barcode-buscar.png" style="width:60px" numeros="<?php echo $cadenaNumerosSerie; ?>"/><?php
					}
					else foreach($datos as $dato) {
						if($dato['Codigo']==$comportamiento['Codigo']) {
							echo formateaTipo($dato['Valor'],$comportamiento['Tipo']);
							break;
						}
					}
					?>
				</td>
				<?php } ?>
			<?php } ?>
            
            <td align="center"><?php foreach($estadosAlmacen as $estado) if($estado['Estado']==$producto['EstadoAlmacen']) echo $estado['DescripcionEstado']; ?></td>
            
     		<td align="right"><?php echo $producto['Stock']; ?></td>
            
			<?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo $producto['Cajas']; //echo number_format($producto['Cajas'],2,',','.'); ?></td><?php } ?>
            
            <td align="center"><?php echo $producto['UbiPropuesta']; ?></td>
           
		</tr>

	<?php } // fin foreach ?>
    
    </table>
    
    <?php
}
else {
	$error=explode("#",$resultado[0]['Error']);
	?><p class="error"><?php echo $error[1]; ?></p><?php
}
?>